package com.yuchen.saas.integration.hik.isc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.nest.springwrap.core.tool.validator.group.AddGroup;
import org.nest.springwrap.core.tool.validator.group.UpdateGroup;

import javax.validation.constraints.NotNull;

/**
 * @author zhouhanwei
 * @create 2023/3/20 15:21
 */
@ApiModel()
@Data
public class CameraDeviceAreaAddDTO {

    /**
     * id
     */
    @ApiModelProperty(name = "id", value = "id")
    @NotNull(message = "id不能为空",groups = UpdateGroup.class)
    private Long id;
    /**
     * 区域标识
     */
    @ApiModelProperty(name = "cameraAreaCode", value = "区域标识")
    private String cameraAreaCode;
    /**
     * 区域名称
     */
    @ApiModelProperty(name = "cameraAreaName", value = "区域名称")
    @NotNull(message = "区域名称不能为空",groups = {UpdateGroup.class, AddGroup.class})
    private String cameraAreaName;

    /**
     * 区域类型 1:重点区域；2：其他区域
     */
    @ApiModelProperty(name = "cameraAreaType", value = "区域类型 1:重点区域；2：其他区域")
    @NotNull(message = "区域类型不能为空",groups = {UpdateGroup.class, AddGroup.class})
    private Integer cameraAreaType;

    /**
     * 空间id
     */
    @ApiModelProperty(name = "spaceId", value = "空间id")
    private Long spaceId;
    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    @NotNull(message = "项目id不能为空",groups = {UpdateGroup.class, AddGroup.class})
    private Long parkId;


    /**
     * 备注
     */
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    /**
     * 空间名称
     */
    @ApiModelProperty(name = "spaceName", value = "空间名称")
    private String spaceName;
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCameraAreaCode() {
        return cameraAreaCode;
    }

    public void setCameraAreaCode(String cameraAreaCode) {
        this.cameraAreaCode = cameraAreaCode;
    }

    public String getCameraAreaName() {
        return cameraAreaName;
    }

    public void setCameraAreaName(String cameraAreaName) {
        this.cameraAreaName = cameraAreaName;
    }

    public Integer getCameraAreaType() {
        return cameraAreaType;
    }

    public void setCameraAreaType(Integer cameraAreaType) {
        this.cameraAreaType = cameraAreaType;
    }

    public Long getSpaceId() {
        return spaceId;
    }

    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }
}
